Deprecation Notice - RunCloud API Beta is deprecated effective 31 May 2019. New API will be released and it's not backward compatible.

PHP Cli

Change PHP CLI version

Arguments
phpVersionrequiredYou can get this value from Server Object in server._extra.php.versions

PATCH /servers/<server.id>/phpcli

HTTP Request
PATCH https://manage.runcloud.io/base-api/servers/<server.id>/phpcli
Request
curl -X PATCH "https://manage.runcloud.io/base-api/servers/yO4VAbX2BkNz/phpcli" \
    -u YOUR_API_KEY:YOUR_API_SECRET \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    --data '{
        "phpVersion": "php72rc"
    }'
Response
{
	"message": "Successfully changed PHP-CLI version to PHP 7.2. Changes will be reflected shortly.",
	"resetForm": false
}